> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get owner mappings

> Returns the configured mappings between HubSpot owners and Nuvia users.



## OpenAPI

````yaml /en/openapi.json get /v1/hubspot/owner-mappings
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
  - name: resources
    x-group: Arquivos e Anexos
  - name: hubspot
    x-group: HubSpot
paths:
  /v1/hubspot/owner-mappings:
    get:
      tags:
        - hubspot
      summary: Get owner mappings
      description: Returns the configured mappings between HubSpot owners and Nuvia users.
      operationId: HubSpotController_getOwnerMappings
      parameters: []
      responses:
        '200':
          description: Mappings returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOwnerMappingsResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    GetOwnerMappingsResponseDto:
      type: object
      properties:
        owner_mappings:
          description: List of configured mappings
          type: array
          items:
            $ref: '#/components/schemas/OwnerMappingDto'
      required:
        - owner_mappings
    OwnerMappingDto:
      type: object
      properties:
        hubspot_owner_id:
          type: string
          description: Owner ID in HubSpot
          example: '12345678'
        hubspot_owner_email:
          type: string
          description: Owner's email in HubSpot
          example: john@example.com
        hubspot_owner_name:
          type: string
          description: Owner's name in HubSpot
          example: John Doe
        nuvia_user_id:
          type: string
          description: User ID in Nuvia
          example: 507f1f77bcf86cd799439011
        nuvia_user_name:
          type: string
          description: User's name in Nuvia
          example: João Silva
      required:
        - hubspot_owner_id
        - hubspot_owner_email
        - hubspot_owner_name
        - nuvia_user_id
        - nuvia_user_name
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT authentication token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.